/* draw an arbitrary line on a texture - useful method for possible paint strokes*/

surface arbitrary_line ()
{
	/* Initialize Useful Variables */
	color Ct;
	color red=color "rgb" (1,0,0);
	float edge_threshold = 0.005; /* edge threshold to interpolate between */
	float dist;
	point start=point (0.1,0.3,0);
	point end=point (0.7,0.7,0);
	point pos=point(s,t,0);
	
	/* Texturing */
	Ct = Cs;
	dist=ptlined(start,end,pos); /* distance from center of line */
	float inLine = 1 - smoothstep(0.05-edge_threshold,0.05+edge_threshold,dist);	
	Ct = mix(Ct,red,inLine);
		
	/* Shading */
	Oi=Os;
	Ci = Oi * Ct;
}